Ftdi::Context::Private Class Reference

## Public Member Functions

| Private ()
| ~Private ()

## Public Attributes

bool | open
struct ftdi_context * | ftdi
struct usb_device * | dev
std::string | vendor
std::string | description
std::string | serial

## Detailed Description

Definition at line 35 of file ftdi.cpp.

## Constructor & Destructor Documentation

## Private()

Ftdi::Context::Private::Private | ( |  | ) |

inline

Definition at line 38 of file ftdi.cpp.

References dev, ftdi, ftdi_new(), and open.

## ~Private()

Ftdi::Context::Private::~Private | ( |  | ) |

inline

Definition at line 44 of file ftdi.cpp.

References ftdi, ftdi_free(), ftdi_usb_close(), and open.

## Member Data Documentation

## open

bool Ftdi::Context::Private::open

Definition at line 52 of file ftdi.cpp.

Referenced by Private(), and ~Private().

## ftdi

struct ftdi_context* Ftdi::Context::Private::ftdi

Definition at line 54 of file ftdi.cpp.

Referenced by Private(), and ~Private().

## dev

struct usb_device* Ftdi::Context::Private::dev

Definition at line 55 of file ftdi.cpp.

Referenced by Private().

## vendor

std::string Ftdi::Context::Private::vendor

Definition at line 57 of file ftdi.cpp.

## description

std::string Ftdi::Context::Private::description

Definition at line 58 of file ftdi.cpp.

## serial

std::string Ftdi::Context::Private::serial

Definition at line 59 of file ftdi.cpp.

The documentation for this class was generated from the following file:

- ftdi.cpp